fluidsynth (2.4.8+dfsg-1) unstable; urgency=medium

  * New upstream version 2.4.8+dfsg

 -- Dennis Braun <snd@debian.org>  Thu, 02 Oct 2025 18:44:21 +0200

fluidsynth (2.4.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * debian/control: Fix Depends after Build-Depends change (Closes: #1111294)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Aug 2025 22:26:34 +0200

fluidsynth (2.4.7+dfsg-1) unstable; urgency=medium

  * Set the default samplerate to 48000 and buffer size to 512 in the
    service config file (Closes: #1075976, #1105956).
  * New upstream version 2.4.7+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Thu, 14 Aug 2025 09:55:25 +0200

fluidsynth (2.4.6+dfsg-1) experimental; urgency=medium

  * New upstream version 2.4.6+dfsg
  * Build with SDL3 instead of SDL2
  * Install the newly added tmpfiles config
  * Upload to experimental

 -- Fabian Greffrath <fabian@debian.org>  Thu, 08 May 2025 15:35:43 +0200

fluidsynth (2.4.4+dfsg-1) unstable; urgency=high

  * New upstream version 2.4.4+dfsg
    + Fix ordering and dependencies of fluidsynth's systemd service
      (Closes: #1053245)
    + Revise fluidsynth's man page (Closes: #1099773)
    + The CMake variable FLUID_HOST_COMPILER has been superseded by
      the Autools convention of using environment variables like
      CC_FOR_BUILD and friends
  * Remove patch applied upstream introducing support for the
    *_FOR_BUILD environment variables
  * Update libfluidsynth3.symbols file
  * urgency=high for the RC bug fix

 -- Fabian Greffrath <fabian@debian.org>  Mon, 17 Mar 2025 17:26:20 +0100

fluidsynth (2.4.3+dfsg-4) unstable; urgency=medium

  * Mark the fluidsynth package as Multi-Arch: foreign and let the
    libfluidsynth-dev package depend on it. This is required when
    using cmake.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 28 Feb 2025 09:12:18 +0100

fluidsynth (2.4.3+dfsg-3) unstable; urgency=medium

  * Replace non-functional cross-building patch with one that applies
    *_FOR_BUILD flags to the native build
  * Include buildtools.mk in debian/rules
  * Remove the Breaks relations against soundfont packages
    (Closes: #934074)
  * Bump Standards-Version to 4.7.1

 -- Fabian Greffrath <fabian@debian.org>  Tue, 25 Feb 2025 10:08:58 +0100

fluidsynth (2.4.3+dfsg-2) unstable; urgency=medium

  * Update my Debian packaging copyright
  * Append CPPFLAGS to CFLAGS for the gentables build
  * Add new symbols to libfluidsynth3.symbols file

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 14:29:00 +0100

fluidsynth (2.4.3+dfsg-1) unstable; urgency=medium

  * Repack upstream tarball without the test-android/ directory
    (contains a prebuilt Java class file)
  * Only unset compiler flags for gentables if cross-compilation is
    detected
  * New upstream version 2.4.3+dfsg

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 12:51:58 +0100

fluidsynth (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3
  * Add myself to Uploaders
  * Explicitly build with SDL2 support

 -- Fabian Greffrath <fabian@debian.org>  Fri, 31 Jan 2025 08:35:27 +0100

fluidsynth (2.4.2-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Limit pipewire support only to Linux architectures

  [ Fabian Greffrath ]
  * New upstream version 2.4.2

 -- Fabian Greffrath <fabian@debian.org>  Fri, 03 Jan 2025 22:24:59 +0100

fluidsynth (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Update libfluidsynth3.symbols

 -- Dennis Braun <snd@debian.org>  Sun, 10 Nov 2024 19:28:14 +0100

fluidsynth (2.3.6-1) unstable; urgency=medium

  * New upstream version 2.3.6
  * Bump Standards-Version to 4.7.0
  * Use default salsa ci config

 -- Dennis Braun <snd@debian.org>  Sat, 17 Aug 2024 14:30:15 +0200

fluidsynth (2.3.5-1) unstable; urgency=medium

  * New upstream version 2.3.5

 -- Dennis Braun <snd@debian.org>  Fri, 19 Apr 2024 16:10:22 +0200

fluidsynth (2.3.4-1) unstable; urgency=medium

  * New upstream version 2.3.4

 -- Dennis Braun <snd@debian.org>  Wed, 27 Sep 2023 20:01:10 +0200

fluidsynth (2.3.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixup previous upload, also runtime depend on libpipewire-0.3-dev,
    on libfluidsynth-dev (Closes: #1051819)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 07:22:04 +0200

fluidsynth (2.3.3-2) unstable; urgency=medium

  * Team upload.
  * Enable pipewire support (Closes: #1051819).

 -- Nicholas D Steeves <sten@debian.org>  Tue, 12 Sep 2023 20:52:50 -0400

fluidsynth (2.3.3-1) unstable; urgency=medium

  * New upstream version 2.3.3
  * Bump d/copyright years
  * d/watch: Use @ARCHIVE_EXT@

 -- Dennis Braun <snd@debian.org>  Sun, 18 Jun 2023 18:50:51 +0200

fluidsynth (2.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Dennis Braun ]
  * New upstream version 2.3.2
  * Drop MIDI files patch applied by upstream
  * Refresh symbols

 -- Fabian Greffrath <fabian@debian.org>  Tue, 13 Jun 2023 14:38:51 +0200

fluidsynth (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix seamless looping between MIDI
    files.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 18 Apr 2023 07:48:30 +0200

fluidsynth (2.3.1-1) unstable; urgency=medium

  * New upstream version 2.3.1
  * Prefer libjack-dev over libjack-jackd2-dev
  * Bump Standards-Version to 4.6.2
  * Change my email address

 -- Dennis Braun <snd@debian.org>  Fri, 30 Dec 2022 16:10:11 +0100

fluidsynth (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Add FluidSynth*.cmake files to the dev package

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 24 Sep 2022 23:04:31 +0200

fluidsynth (2.2.9-1) unstable; urgency=medium

  * New upstream version 2.2.9

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 11 Sep 2022 15:52:57 +0200

fluidsynth (2.2.8-1) unstable; urgency=medium

  * New upstream version 2.2.8
  * Use libjack-jackd2-dev as preferable B-D and libjack-dev as optional
    and the same for Depends of libfluidsynth-dev
  * Bump Standards Version to 4.6.1

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 17 Jul 2022 12:40:53 +0200

fluidsynth (2.2.7-1) unstable; urgency=medium

  [ Pino Toscano ]
  * libfluidsynth-dev: limit libsystemd-dev dependency to Linux OSes
  * Limit libasound2-dev build & runtime dependency to Linux OSes
  * d/rules: drop -Denable-alsa=off for non-Linux OSes
  * Limit libdbus-1-dev build & runtime dependency to Linux OSes
  * d/rules: simplify check for non-Linux architectures

  [ Dennis Braun ]
  * New upstream version 2.2.7
  * Update symbols file

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 04 May 2022 16:41:50 +0200

fluidsynth (2.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.0.9+dfsg-2
  * Remove constraints unnecessary since buster

  [ Dennis Braun ]
  * New upstream version 2.2.5
  * Fix field name typo in debian/copyright (X-Comment => Comment).

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 03 Feb 2022 23:02:43 +0100

fluidsynth (2.2.4-2) unstable; urgency=medium

  * Update Depends for libfluidsynth-dev and for the autopkgtest

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 25 Nov 2021 21:08:08 +0100

fluidsynth (2.2.4-1) unstable; urgency=medium

  * New upstream version 2.2.4

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 25 Nov 2021 17:50:19 +0100

fluidsynth (2.2.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 21 Nov 2021 18:13:22 +0100

fluidsynth (2.2.3-1) experimental; urgency=medium

  [ Dennis Braun ]
  * New upstream version 2.2.3
  * Bump Standards-Version to 4.6.0
  * Bump soname libfluidsynth2 to libfluidsynth3
  * d/copyright: Update entry for doc/examples
  * d/copyright: Add myself to the d/ section
  * Update examples installation
  * d/rules: override_dh_auto_test because the tests fail
  * Update symbols file

  [ Sebastian Ramacher ]
  * debian/libfluidsynth3.symbols:
    - Remove dropped symbol
    - Mark template instantiations as optional
  * debian/rules:
    - Use /usr/share/dpkg/architecture.mk
    - Remove unnecessary argument to dh

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 23 Oct 2021 19:02:57 +0200

fluidsynth (2.1.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import patch that fixes use-after-free vulnerability. (CVE-2021-28421)
    (Closes: #987168)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 24 Apr 2021 13:37:51 +0200

fluidsynth (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7
  * d/copyright: Update authors for 'Files: *' and years
  * d/copyright: Fix mutated vowels
  * d/upstream/metadata: Remove name and add archive

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 09 Feb 2021 21:43:23 +0100

fluidsynth (2.1.6-1) unstable; urgency=medium

  * New upstream version 2.1.6
  * Bump S-V to 4.5.1
  * Bump d/watch version to 4

 -- Dennis Braun <d_braun@kabelmail.de>  Wed, 06 Jan 2021 23:21:23 +0100

fluidsynth (2.1.5-1) unstable; urgency=medium

  * New upstream version 2.1.5
  * Rename gitlab-ci.yml to salsa-ci.yml

 -- Dennis Braun <d_braun@kabelmail.de>  Tue, 22 Sep 2020 14:45:55 +0200

fluidsynth (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4
  * Add gitlab-ci.yml
  * d/rules: Remove -Wl,--as-needed flags

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 05 Sep 2020 11:56:15 +0200

fluidsynth (2.1.3-1) unstable; urgency=medium

  * New upstream version 2.1.3

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 30 May 2020 00:30:42 +0200

fluidsynth (2.1.2-1) unstable; urgency=medium

  * New upstream version 2.1.2
  * Drop patches, applied by upstream
  * Bump dh-compat to 13

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 30 Apr 2020 20:08:17 +0200

fluidsynth (2.1.1-2) unstable; urgency=medium

  * Team upload.

  * Allow stderr-output during the build test, as the new SDL2 module
    will complain that it is not yet initialized.
  * Apply two commits from the upstream GIT repository:
    + Turn SDL2 initialization message into a warning.
    + Exit with error when invalid commandline arguments are
      supplied, e.g. invalid sample rates (Closes: #929960).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 04 Mar 2020 21:20:05 +0100

fluidsynth (2.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Dennis Braun ]
  * New upstream version 2.1.1
  * Bump S-V to 4.5.0
  * Set RRR: no
  * Add d/upstream/metadata
  * d/control: Update homepage
  * Add me as uploader

  [ Fabian Greffrath ]
  * Add Build-Depends: libinstpatch-dev to add support for DLS patch files.
  * Add Build-Depends: libsdl2-dev to enable SDL2 audio support.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 28 Feb 2020 23:31:01 +0100

fluidsynth (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Olivier Humbert ]
  * Update control (description: add support to SF3)

  [ Fabian Greffrath ]
  * New upstream version 2.1.0 (Closes: #946621).
  * Make autopkgtests cross-test-friendly,
    thanks Steve Langasek (Closes: #946372).
  * Review debian/copyright (Closes: #946474).
  * Remove NEWS from debian/docs.
  * Add fluid_free to debian/libfluidsynth2.symbols.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 14 Dec 2019 21:58:49 +0100

fluidsynth (2.0.5-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.
  * New upstream version 2.0.5 (Closes: #920650, #923487).
  * Bump ABI version to libfluidsynth2, adjust symbols file accordingly.
  * Add a Build-Depends-Package line to the symbols file.
  * Remove patches.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Add libdbus-1-dev to Build-Depends.
  * Add libsystemd-dev to Build-Depends on linux-any.
  * Build with -DCMAKE_BUILD_TYPE=Release.
  * Remove unused file and license paragraphs from debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 21:02:36 +0200

fluidsynth (1.1.11-4) unstable; urgency=medium

  * Team upload.
  * Promote soundfont packages to dependencies (Closes: #929182).
    + Fluidsynth is really useless without a soundfont and
      the default one weights only 6 MB.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 14:06:06 +0200

fluidsynth (1.1.11-3) unstable; urgency=medium

  * Team upload.
  * Add some Breaks relations to ensure upgrading of soundfont
    packages to provide the virtual sf3-soundfont-gm package.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 05 Aug 2019 08:04:23 +0200

fluidsynth (1.1.11-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Recommend a recent enough timgm6mb-soundfont package or an
    alternative provider of sf3-soundfont-gm and use the default
    soundfont throughout the package.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 04 Aug 2019 13:37:30 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfluidsynth3`.
